Subject: Re: bug#69478: 30.0.50; Emacs dies after scrolling in eww

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Mar 2024 08:16:36 +0200

> Date: Sat, 02 Mar 2024 21:09:52 +0000
> From: Alexander Prähauser <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> "Po Lu" <[email-masked]> writes:
> 
> >> (gdb) run -xrm 'Emacs.synchronous: true'
> >>
> >> from vterm in another Emacs instance. So I specified the flags inside
> >> gdb and I called emacs, not ./emacs. Could one of those two things be
> >> the culprit?
> >
> > No, but try executing:
> >
> >   (x-synchronize t)
> >
> > within the Emacs session after it starts.  This will enable synchronous
> > operation regardless of the command line with which Emacs was started.
> 
> Alright, this time I just ran emacs in gdb with logging on, evaluated
> (x-synchronize t), then visited a website. Interestingly, Emacs got
> froze again, instead of just crashing. Then I sent C-c in gdb, then
> exited gdb. I hope the backtrace works now.

Unfortunately, the backtrace still shows the error was processed
asynchronously.  I have no idea how this is possible.  Po Lu, did we
somehow circumvent the x-synchronize mechanism on the master branch?